Kerbal Space Program - Bug #27204

Place Anywhere 1 Linear RCS Port wrong thrust direction
02/01/2021 08:45 AM - Pkunzipper

Status: Resolved Start date: 02/01/2021
Severity: Low % Done: 100%
Assignee: victorr

Category: Parts

Target version: 1.12.0

Version: 1111 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

Patch 1.11.1 has introduced a new bug on Place Anywhere 1 Linear RCS Ports.

In 1.11.0 they worked fine but now they have the wrong thrust vector or maybe just fire with the wrong translation command.

In example | had a craft that worked fine in 1.11.0, but now the 4 litlle RCS ports pointing "forward" don't work anymore when | press
H key, instead they fires whan | press J key for left translation.

Every other RCS port part seems to work fine, | guess the problem has been introduced when the Devs worked at the new shrouded
variant.

History

#1 - 02/09/2021 05:14 PM - victorr

- Assignee set to victorr

#4 - 02/12/2021 08:04 PM - RafaHdz

- Status changed from New to Need More Info

#6 - 02/12/2021 08:06 PM - RafaHdz

We can't reproduce this issue. The particles come out straight from the nozzle. A video or screenshot would be nice.

#7 - 02/12/2021 10:57 PM - antivalenz

does this link help? the size of the video file is a little more than 100MB.

https://ufile.io/z9gi50an

#8 - 02/12/2021 11:26 PM - freebirth_toad

RafaHdz wrote:

We can't reproduce this issue. The particles come out straight from the nozzle. A video or screenshot would be nice.

I'm experiencing the same bug in Linux, so it's not a platform-dependent problem.
The animation is correct, it's that the wrong RCS control activates the thruster. Steps to reproduce:

1. Build a simple probe with a single one of these RCS ports on the bottom, then cheat it into orbit.
2. Turn on RCS and then press 'h' (to activate foreward translation via RCS).
3. Note that the thruster does not fire. One of the port/starboard or dorsal/ventral controls (i",'j','k','l') will though.

#9 - 02/13/2021 02:10 AM - Anth12

- File 1.11.0 Press J.png added

- File 1.11.1 Press J.png added

- File QS 1_11_0 RCS Tester.sfs added
- File RCS Tester 1_11_0.craft added

GOG KSP 1.11.0 (no mods/no DLCs)

04/10/2024 1/3



https://ufile.io/z9qi5oan

GOG KSP 1.11.1 (no mods/no DLCs)

1.11.0 Press J.png shows what happens when J is pressed using 1.11.0
1.11.1 Press J.png shows what happens when J is pressed using 1.11.1

QS 1_11_0 RCS Tester.sfs is the quicksave loaded for the above test
RCS Tester 1_11_0.craft is the craft | used to test it. (its similar to the one in antivalenz because | used it to test his video)

Note | took the RCS port and rotated it to see its range.
There is definitely a problem

#10 - 02/13/2021 02:15 AM - Anth12
The ones on the 1.11.1 Press J.png firing up and down think they are firing port/starboard

#11 - 02/16/2021 06:32 PM - Snark

I've observed the same problem myself, in 1.11.1. Reproduces.

Here s someone on the KSP forum who ran into the problem and posted |t

#12 - 02/16/2021 09:38 PM - RafaHdz
- Status changed from Need More Info to Confirmed

- % Done changed from 0 to 10

#15 - 02/17/2021 03:48 PM - vtk
- File RCS Test.craft added

I've confirmed this bug, and can also detail some specifics. While the particle animation is oriented as the user expects, the part behaves as if the
nozzle is pointed in a ship's "forward" direction if placed in its default orientation on the side of a part with the same orientation as the root part (let's
call this the logical thrust vector). This behavior is expressed in two ways: the RCS port activates when it would be appropriate to do so according to
its logical thrust vector and position on the ship; and the actual force applied to the ship is opposite the logical thrust vector.

I notice that in the part .cfg file, the MODEL_MULTI_PARTICLE node has the line localRotation = -90, 0, 0, while the MODULE node with name =
ModuleRCSFX contains no such rotation information. On the other hand, the same seems to be true in the mutli-nozzle thruster blocks, and | can't
find the .cfg file for the Place Anywhere 7 to compare, so maybe the problem isn't in the .cfg file.

I've attached a craft file which clearly demonstrates the problem. There are 80 thrusters mounted to the side of an RCS propellant tank, oriented such
that they appear to point outwards but their logical thrust vector is downwards. They are all set to "fore by throttle" so as soon as RCS is turned on,
the craft lifts off from the pad. If the problem is corrected, these thrusters should not respond to the throttle, as they are facing perpendicular to the
vessel's forward direction; nor should they cause the vessel to lift off the pad when activated, as they are facing horizontally at launch.

#16 - 06/24/2021 10:31 PM - victorr
- Status changed from Confirmed to Ready to Test
- Target version setto 1.12.0

- % Done changed from 10 to 80

We have made some changes in this last 1.12.0 release and would like some feedback on this issue. Thanks.

#17 - 06/25/2021 04:18 AM - Anth12

KSP 1.12.0 + DLCs

That was fixed in 1.11.2 | believe.

Retested in 1.12.0. They are working as intended.
#18 - 08/05/2021 08:23 PM - Technicalfool

- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

Files
1.11.0 Press J.png 923 KB 02/13/2021 Anth12
1.11.1 Press J.png 930 KB 02/13/2021 Anth12

04/10/2024 2/3


https://forum.kerbalspaceprogram.com/index.php?/topic/200403-how-can-i-get-the-new-place-anywhere-1-linear-rcs-port-working/

QS 1_11_0 RCS Tester.sfs 170 KB 02/13/2021 Anth12
RCS Tester 1_11_0.craft 96.2 KB 02/13/2021 Anth12
RCS Test.craft 184 KB 02/17/2021 vtk
